### A free/open-source library for quantitative finance

FloatingRateCouponPricer Class Reference

generic pricer for floating-rate coupons More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for FloatingRateCouponPricer:
[legend]

List of all members.

## Public Member Functions

required interface
virtual Real | swapletPrice () const =0
virtual Rate | swapletRate () const =0
virtual Real | capletPrice (Rate effectiveCap) const =0
virtual Rate | capletRate (Rate effectiveCap) const =0
virtual Real | floorletPrice (Rate effectiveFloor) const =0
virtual Rate | floorletRate (Rate effectiveFloor) const =0
virtual void | initialize (const FloatingRateCoupon &coupon)=0
Observer interface
void | update ()

## Detailed Description

generic pricer for floating-rate coupons

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.